List

  • GET
  • /workspaces
  • /:workspace
  • /environments

Get all environments in the workspace

Request

REQUIRED SCOPES
ENVIRONMENT_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

GET PARAMETERS
project_namestring
Project name to filter environments

Example: "my-project"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
namestring
The name of the environment
identifierstring
The human-readable identifier of the environment
idinteger
The ID of the environment
scopestring enum
The scope level of the environment
Allowed enum:
PROJECT,
WORKSPACE,
ANY

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/environments" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
[ { "url": "https://api.buddy.works/workspaces/my-workspace/environments/123", "html_url": "https://my-workspace.buddy.works/environments/123", "id": "3a4KbBQl", "name": "Production Environment", "identifier": "prod-env", "tags": [ "production", "stable" ], "scope": "PROJECT" }, { "url": "https://api.buddy.works/workspaces/my-workspace/environments/456", "html_url": "https://my-workspace.buddy.works/environments/456", "id": "wPjWOjpE", "name": "Staging Environment", "identifier": "staging-env", "tags": [ "staging", "testing" ], "scope": "WORKSPACE" } ]
STATUS
200 OK